umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
UMLClassifierListItemList Class Reference

`#include <umlclassifierlistitemlist.h>`

Inheritance diagram for UMLClassifierListItemList:

## Public Member Functions
| UMLClassifierListItemList ()
virtual | ~UMLClassifierListItemList ()
virtual void | copyInto (UMLClassifierListItemList *rhs) const
virtual UMLClassifierListItemList * | clone () const

## Detailed Description

This sub-class adds copyInto and clone to the QPtrList<UMLClassifierListItem> base class.

## Constructor & Destructor Documentation

## ◆ UMLClassifierListItemList()

UMLClassifierListItemList::UMLClassifierListItemList | ( |  | ) |

## ◆ ~UMLClassifierListItemList()

UMLClassifierListItemList::~UMLClassifierListItemList | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ clone()

UMLClassifierListItemList * UMLClassifierListItemList::clone | ( |  | ) | const
| virtual

Make a clone of this object.

## ◆ copyInto()

void UMLClassifierListItemList::copyInto | ( | UMLClassifierListItemList * | rhs | ) | const
| virtual

Copy the internal presentation of this object into the new object.

The documentation for this class was generated from the following files:

- umbrello/umlmodel/umlclassifierlistitemlist.h
- umbrello/umlmodel/umlclassifierlistitemlist.cpp